Set Legal Hold on a Customer
1 min
POST
https://api.upstartcommerce.com/v1/customer/legal-hold
acceptstringGenerated from available response content types
x-upstart-tenantstringTenant identifier associated with the site.
x-upstart-sitestringThe site identifier.
bodyobjectRequest body for placing a legal hold on a customer.
200Legal hold set successfully.
400The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
401The provided credentials were not valid for this endpoint.
403User's roles are insufficient for this endpoint.
404The requested resource was not found.
409<p>The request conflicts with the current state of the resource (e.g., the customer is already under legal hold).</p>
500There was an internal server error.
curl --request POST \
--url https://api.upstartcommerce.com/v1/customer/legal-hold \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'x-upstart-tenant: string' \
--header 'x-upstart-site: string' \
--data '{
"customerId": "",
"holdReason": ""
}'